### A free/open-source library for quantitative finance

Public Member Functions
ExponentialSplinesFitting Class Reference

Exponential-splines fitting method. More...

`#include <ql/termstructures/yield/nonlinearfittingmethods.hpp>`

Inheritance diagram for ExponentialSplinesFitting:
[legend]

List of all members.

## Public Member Functions

| ExponentialSplinesFitting (bool constrainAtZero=true)
std::auto_ptr < FittedBondDiscountCurve::FittingMethod > | clone () const
| clone of the current object

## Detailed Description

Exponential-splines fitting method.

Fits a discount function to the exponential form

where the constants and are to be determined. See:Li, B., E. DeWetering, G. Lucas, R. Brenner and A. Shapiro (2001): "Merrill Lynch Exponential Spline Model." Merrill Lynch Working Paper

Warning:
  convergence may be slow

Examples:
  FittedBondCurve.cpp.